Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
List the standalone selling prices of a ledger by product and currency, newest first.
cURL
curl --request GET \ --url https://api.hyperline.co/v1/accounting/standalone-selling-prices \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.hyperline.co/v1/accounting/standalone-selling-prices" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.hyperline.co/v1/accounting/standalone-selling-prices', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/accounting/standalone-selling-prices", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/accounting/standalone-selling-prices" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.hyperline.co/v1/accounting/standalone-selling-prices") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/accounting/standalone-selling-prices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "meta": { "total": 123, "taken": 123, "skipped": 123 }, "data": [ { "id": "ssp_5Tk9Qa2Lm7x0Rb", "ledger_id": "led_8Hq2nZ0kLm4x1P", "product_id": "itm_4Ha7Gk2Lm9xQ1z", "currency": "EUR", "amount": 1200000, "basis": "per_period", "interval_period": "days", "interval_count": 123, "evidence_method": "observable_price", "evidence_note": "<string>", "effective_from": "2026-01-01T00:00:00Z", "effective_to": "2024-12-20T16:04:11Z", "created_by_user_id": "<string>", "created_at": "2024-12-20T16:04:11Z" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
0 <= x <= 100
x >= 0
Identifier of the ledger the record belongs to.
1
Identifier of the product.
Comma-separated identifiers: only the records with one of them.
Pagination metadata.
Show child attributes
Was this page helpful?